System.ServiceModel 4.0.0.0 System.Object

This class is used by to set the transport-level security settings for a binding.

Provides properties that control authentication parameters and protection level for the TCP transport.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.TcpClientCredentialType To be added.

  The return value can be one of the following enumeration members:

  Gets or sets the type of client credential used for authentication.

- Property
  4.0.0.0
  System.Net.Security.ProtectionLevel To be added. To be added.

  Gets or sets the for the TCP stream.